package com.bjtdba.system.service.impl;

import com.bjtdba.entity.system.SystemGroupData;
import com.bjtdba.system.dao.SystemGroupDataDao;
import com.bjtdba.system.service.SystemGroupDataService;
import org.springframework.stereotype.Service;

import javax.annotation.Resource;
import java.util.List;

/**
 * 组合数据详情表(SystemGroupData)表服务实现类
 *
 * @author makejava
 * @since 2022-10-16 09:28:38
 */
@Service("systemGroupDataService")
public class SystemGroupDataServiceImpl implements SystemGroupDataService {
    @Resource
    private SystemGroupDataDao systemGroupDataDao;

    /**
     * 通过ID查询单条数据
     *
     * @param groupDataId 主键
     * @return 实例对象
     */
    @Override
    public SystemGroupData queryById(Long groupDataId) {
        return this.systemGroupDataDao.queryById(groupDataId);
    }

    /**
     * 分页查询
     *
     * @param systemGroupData 筛选条件
     * @param pageRequest      分页对象
     * @return 查询结果
     */
    @Override
    public List<SystemGroupData> queryByPage(SystemGroupData systemGroupData) {
        return systemGroupDataDao.queryAllByLimit(systemGroupData);
    }

    /**
     * 新增数据
     *
     * @param systemGroupData 实例对象
     * @return 实例对象
     */
    @Override
    public SystemGroupData insert(SystemGroupData systemGroupData) {
        this.systemGroupDataDao.insert(systemGroupData);
        return systemGroupData;
    }

    /**
     * 修改数据
     *
     * @param systemGroupData 实例对象
     * @return 实例对象
     */
    @Override
    public SystemGroupData update(SystemGroupData systemGroupData) {
        this.systemGroupDataDao.update(systemGroupData);
        return this.queryById(systemGroupData.getGroupDataId());
    }

    /**
     * 通过主键删除数据
     *
     * @param groupDataId 主键
     * @return 是否成功
     */
    @Override
    public boolean deleteById(Long groupDataId) {
        return this.systemGroupDataDao.deleteById(groupDataId) > 0;
    }

    /**
     * 通过systemGroup 的key查询groupData的值
     * @param key
     * @return
     */
    public List<String> getsystemGroupDataListbyKey(String key){
        return  this.systemGroupDataDao.getsystemGroupDataListbyKey(key);
    }
}
